Last Comment Bug 777752 - [AccessFu] Disable EBT in Firefox 16 for Jelly Bean
: [AccessFu] Disable EBT in Firefox 16 for Jelly Bean
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: 16 Branch
: ARM Android
: -- normal (vote)
: ---
Assigned To: Eitan Isaacson [:eeejay]
:
: alexander :surkov
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 09:19 PDT by Eitan Isaacson [:eeejay]
Modified: 2012-08-28 01:47 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
unaffected


Attachments
Disable explore by touch for devices on API version 16 (Jelly Bean) and above. (1.11 KB, patch)
2012-07-26 09:21 PDT, Eitan Isaacson [:eeejay]
dbolter: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Eitan Isaacson [:eeejay] 2012-07-26 09:19:55 PDT
The changes needed to be done to support JB are probably to disruptive. I propose blacklisting JB in this release, and having full support for the next release.
Comment 1 Eitan Isaacson [:eeejay] 2012-07-26 09:20:14 PDT
s/to disruptive/too disruptive/
Comment 2 Eitan Isaacson [:eeejay] 2012-07-26 09:21:19 PDT
Created attachment 646173 [details] [diff] [review]
Disable explore by touch for devices on API version 16 (Jelly Bean) and above.
Comment 3 Marco Zehe (:MarcoZ) 2012-07-30 01:55:42 PDT
Comment on attachment 646173 [details] [diff] [review]
Disable explore by touch for devices on API version 16 (Jelly Bean) and above.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Explore By Touch support added initially for Ice Cream Sandwich.
User impact if declined: People on Jelly Bean will get very inconsistent user experience, so it's better to turn this off for Aurora on Jelly Bean alltogether.
Testing completed (on m-c, etc.): No, this is supposed to only run on Aurora, Central will get full jelly Bean support of the Explore By Touch feature.
Risk to taking this patch (and alternatives if risky): None.
String or UUID changes made by this patch: None.
Comment 4 Eitan Isaacson [:eeejay] 2012-07-30 14:13:30 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/712a7cdbdf7c
Comment 5 Alex Keybl [:akeybl] 2012-08-27 13:10:04 PDT
(In reply to Marco Zehe (:MarcoZ) from comment #3)
> Comment on attachment 646173 [details] [diff] [review]
> Disable explore by touch for devices on API version 16 (Jelly Bean) and
> above.
> 
> [Approval Request Comment]
> User impact if declined: People on Jelly Bean will get very inconsistent
> user experience, so it's better to turn this off for Aurora on Jelly Bean
> alltogether.

If this remains true for FF17 on Aurora, please file a new bug and nominate the patch for approval. Thanks!
Comment 6 Marco Zehe (:MarcoZ) 2012-08-28 01:44:46 PDT
It doesn't. 17 will have full Jelly Bean support and thus doesn't need the feature to be disabled. This particular bug should just ride the 16 train to release. :)
Comment 7 Marco Zehe (:MarcoZ) 2012-08-28 01:47:19 PDT
Adjusting summary to make it unambiguous and setting tracking flag for 17 to indicate that that version is unaffected.

Note You need to log in before you can comment on or make changes to this bug.